Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.ldap
Class LDAPConnector

    java.lang.Object
      com.stc.connector.appconn.ldap.ConnectionConstants
          com.stc.connector.ldapadapter.ldap.LDAPConnector

    public class LDAPConnector

extends ConnectionConstants

The LDAP Connector Class. This is the main class that establishes the physical connection to the LDAP server by creating an initial context.

Version:
  $Revision: 1.16 $
Author:

Field Summary
`static java.lang.String` | `AUTHENTICATION_ANON`
`static java.lang.String` | `AUTHENTICATION_SIMPLE`
`static java.lang.String` | `CONN_TYPE_ENABLE_SSL`
`static java.lang.String` | `CONN_TYPE_NONE`
`static java.lang.String` | `CONN_TYPE_TLS_ON_DEMAND`

Fields inherited from class com.stc.connector.appconn.ldap.ConnectionConstants
`anonymousLoginMandatoryProperties, CONN_AUTHENTICATION, CONN_CREDENTIALS, CONN_INITIALCONTEXT_FACTORY, CONN_PRINCIPAL, CONN_PROVIDER_URL, connectionDefaultValuesMap, LDAP_ATTRIBUTES, LOCAL_HOST_PROVIDER_URL, NO_AUTHENTICATION, REFERRAL_CREDENTIALS_FILE, REFERRAL_FOLLOW, SECURITY_CONNECTION_TYPE, SECURITY_KEYSTORE, SECURITY_KEYSTORE_PASSWORD, SECURITY_KEYSTORE_TYPE, SECURITY_KEYSTORE_USER_NAME, SECURITY_PROTOCOL, SECURITY_PROVIDER, SECURITY_TRUSTSTORE, SECURITY_TRUSTSTORE_PASSWORD, SECURITY_TRUSTSTORE_TYPE, SECURITY_VERIFY_HOSTNAME, SECURITY_X509_ALGORITHM, SIMPLE_AUTHENTICATION, simpleLoginMandatoryProperties`

Constructor Summary
`LDAPConnector(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructs an LDAPConnector

Method Summary
`boolean` | `checkConnection()` Method performs connection check operation
`void` | `close()` Closes the connector to the external system and releases resources.
`java.lang.String` | `getAuthentication()`
`static com.stc.connector.framework.util.ConfigurationHelper` | `getConfiguration()` Retrieves the connection properties (stored by the constructor) used by the connector to access the external.
`javax.naming.Context` | `getContext()` Returns the context if a connection was established
`java.lang.String` | `getCredentials()`
`java.lang.String` | `getPrincipal()`
`boolean` | `isConnected()` Verifies that the connector to the external system is still available.
`void` | `open()` Opens a connection to the LDAP Server.
`void` | `reset()` Reset connection
`void` | `setAuthentication(java.lang.String authentication)`
`void` | `setCredentials(java.lang.String credentials)`
`void` | `setPrincipal(java.lang.String principal)`

Methods inherited from class com.stc.connector.appconn.ldap.ConnectionConstants
`contains, getDefaultBooleanValue, getDefaultStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHENTICATION_ANON

    public static final java.lang.String AUTHENTICATION_ANON

See Also:
  Constant Field Values

### AUTHENTICATION_SIMPLE

    public static final java.lang.String AUTHENTICATION_SIMPLE

See Also:
  Constant Field Values

### CONN_TYPE_NONE

    public static final java.lang.String CONN_TYPE_NONE

See Also:
  Constant Field Values

### CONN_TYPE_ENABLE_SSL

    public static final java.lang.String CONN_TYPE_ENABLE_SSL

See Also:
  Constant Field Values

### CONN_TYPE_TLS_ON_DEMAND

    public static final java.lang.String CONN_TYPE_TLS_ON_DEMAND

See Also:
  Constant Field Values

Constructor Detail

### LDAPConnector

    public LDAPConnector(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)

  Constructs an LDAPConnector

  Parameters:
    `props` - A Properties object.

Method Detail

### open

    public void open()
              throws LDAPApplicationConnectionException

  Opens a connection to the LDAP Server.

  Throws:
    `LDAPApplicationConnectionException` - when connection problems occur.

### close

    public void close()
               throws LDAPApplicationConnectionException

  Closes the connector to the external system and releases resources.

  Throws:
    `LDAPApplicationConnectionException` - When connection problems occur.

### isConnected

    public boolean isConnected()

  Verifies that the connector to the external system is still available.

  Returns:
    `true` if the connector is still open and available; `false` otherwise.
  Throws:
    `LDAPApplicationConnectionException` - When connection problems occur.

### getConfiguration

    public static com.stc.connector.framework.util.ConfigurationHelper getConfiguration()

  Retrieves the connection properties (stored by the constructor) used by the connector to access the external.

  Returns:
    Connection properties of the external system.

### getContext

    public javax.naming.Context getContext()
                                    throws LDAPApplicationConnectionException

  Returns the context if a connection was established

  Returns:
    the context object
  Throws:
    `LDAPApplicationConnectionException`

### checkConnection

    public boolean checkConnection()

  Method performs connection check operation

### reset

    public void reset()
               throws LDAPApplicationConnectionException

  Reset connection

  Throws:
    `LDAPApplicationConnectionException`

### getAuthentication

    public java.lang.String getAuthentication()

  Returns:

### setAuthentication

    public void setAuthentication(java.lang.String authentication)

  Parameters:
    `authentication` -

### getCredentials

    public java.lang.String getCredentials()

  Returns:

### setCredentials

    public void setCredentials(java.lang.String credentials)

  Parameters:
    `credentials` -

### getPrincipal

    public java.lang.String getPrincipal()

  Returns:

### setPrincipal

    public void setPrincipal(java.lang.String principal)

  Parameters:
    `principal` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD